Package org.eclipse.jdt.ui.actions

## Class OpenNewInterfaceWizardAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.jdt.ui.actions.AbstractOpenWizardAction
        - - org.eclipse.jdt.ui.actions.OpenNewInterfaceWizardAction

All Implemented Interfaces:
  `IAction`

    public class OpenNewInterfaceWizardAction
    extends AbstractOpenWizardAction

Action that opens the new interface wizard. The action initialized the wizard with either the selection as configured by `AbstractOpenWizardAction.setSelection(IStructuredSelection)` or takes a preconfigured new interface wizard page, see `setConfiguredWizardPage(NewInterfaceWizardPage)`.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`OpenNewInterfaceWizardAction()` Creates an instance of the `OpenNewInterfaceWizardAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected INewWizard` `createWizard()` Creates and configures the wizard.
`void` `setConfiguredWizardPage​(NewInterfaceWizardPage page)` Sets a page to be used by the wizard or `null` to use a page initialized with values from the current selection (see `AbstractOpenWizardAction.getSelection()` and `AbstractOpenWizardAction.setSelection(IStructuredSelection)`).
`void` `setOpenEditorOnFinish​(boolean openEditorOnFinish)` Specifies if the wizard will open the created type with the default editor.

### Methods inherited from class org.eclipse.jdt.ui.actions.AbstractOpenWizardAction

`doCreateProjectFirstOnEmptyWorkspace, getCreatedElement, getSelection, getShell, run, setSelection, setShell`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenNewInterfaceWizardAction

    public OpenNewInterfaceWizardAction()

Creates an instance of the `OpenNewInterfaceWizardAction`.

### Method Detail

#### setConfiguredWizardPage

    public void setConfiguredWizardPage​(NewInterfaceWizardPage page)

Sets a page to be used by the wizard or `null` to use a page initialized with values from the current selection (see `AbstractOpenWizardAction.getSelection()` and `AbstractOpenWizardAction.setSelection(IStructuredSelection)`).

Parameters:
  `page` - the page to use or `null`

#### setOpenEditorOnFinish

    public void setOpenEditorOnFinish​(boolean openEditorOnFinish)

Specifies if the wizard will open the created type with the default editor. The default behaviour is to open an editor.

Parameters:
  `openEditorOnFinish` - if set, the wizard will open the created type with the default editor
Since:
  3.3

#### createWizard

    protected final INewWizard createWizard()
                                     throws CoreException

Description copied from class: `AbstractOpenWizardAction`
Creates and configures the wizard. This method should only be called once.

Specified by:
  `createWizard` in class `AbstractOpenWizardAction`
Returns:
  returns the created wizard.
Throws:
  `CoreException` - exception is thrown when the creation was not successful.